Get measures (real)

This endpoint allows querying the real measures for a period of no more than 31 days.

GET /api/v1/business/{businessId}/product/{productId}/demand/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}

If the data included in the request is correct, the response will contain the list of real measures for the product in the defined time range.

Response example

[
    {
        "value": 0.75,
        "from": "2026-08-10T20:30:00.000Z",
        "to": "2026-08-10T20:45:00.000Z",
        "measure": "SALES"
    },
    {
        "value": 0.75,
        "from": "2026-08-10T20:45:00.000Z",
        "to": "2026-08-10T21:00:00.000Z",
        "measure": "SALES"
    },
    {
        "value": 1.25,
        "from": "2026-08-09T22:00:00.000Z",
        "to": "2026-08-09T22:15:00.000Z",
        "measure": "TICKETS"
    },
    {
        "value": 1.25,
        "from": "2026-08-09T22:15:00.000Z",
        "to": "2026-08-09T22:30:00.000Z",
        "measure": "TICKETS"
    }
]
Details
  • value: numerical value of the measure for the given interval.

  • from: start of the interval the value corresponds to, in UTC.

  • to: end of the interval the value corresponds to, in UTC.

  • measure: name configured in Orquest for the measure type.

Considerations

This request returns the data for all measures of the product, unordered.

The data is always returned in UTC and in 15-minute intervals, regardless of how it was recorded.

If there are no real measures for that period, the request will return an empty array [].

Filter results

Since some businesses have numerous measures configured, this endpoint allows narrowing the response by filtering by type. To do this, add the demandTypeNames parameter to the URL:

GET /api/v1/business/{businessId}/product/{productId}/demand/from/{from}/to/{to}?demandTypeNames={demandTypeNames}

To query multiple types of measures, multiple values can be included, separated by commas.

Example
GET /api/v1/business/BUSINESSID/product/PRODUCTID/demand/from/2026-08-15/to/2026-08-31?demandTypeNames=SALES,TICKETS

Snippet of the response:

[
    {
        "value": 1.0,
        "from": "2026-08-17T21:30:00.000Z",
        "to": "2026-08-17T21:45:00.000Z",
        "measure": "TICKETS"
    },
    {
        "value": 1.0,
        "from": "2026-08-17T21:45:00.000Z",
        "to": "2026-08-17T22:00:00.000Z",
        "measure": "TICKETS"
    },
    {
        "value": 1.25,
        "from": "2026-08-17T22:00:00.000Z",
        "to": "2026-08-17T22:15:00.000Z",
        "measure": "SALES"
    },
    {
        "value": 1.25,
        "from": "2026-08-17T22:15:00.000Z",
        "to": "2026-08-17T22:30:00.000Z",
        "measure": "SALES"
    }
]

If the demandTypeNames parameter is not specified, the request will return all measures of the product within the specified date range.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

406 Not Acceptable

-

The period indicated between from and to exceeds the 31 days allowed. It is recommended to adjust the date range of the query.